# ai_storage.hpp File Reference

Defines AIStorage and includes all files required for it. More...

`#include "../signs_func.h"`
`#include "../vehicle_func.h"`
`#include "../road_type.h"`
`#include "../group.h"`
`#include "table/strings.h"`
`#include <vector>`

Go to the source code of this file.

## Data Structures
class | AIStorage
| The storage for each AI. More...
## Typedefs
typedef bool( | AIModeProc )()
| The callback function for Mode-classes.

## Detailed Description

Defines AIStorage and includes all files required for it.

Definition in file ai_storage.hpp.